#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QSystemTrayIcon>
#include <QDialog>
class QMenu;
class QAction;

class MainWindow : public QDialog
{
    Q_OBJECT

public:
    MainWindow();

    void setMessage(const QString message) {mCurMessage = message;}
    QString getMessage() {return mCurMessage;}

private slots:
    void showMessage();
    void iconActivated(QSystemTrayIcon::ActivationReason reason);
    void manualCheck();

private:
    void createTrayIcon();
    void createActions();
    
    QString mCurMessage;

    QSystemTrayIcon *mTrayIcon;
    QMenu *mTrayMenu;
    QAction *mCheckUpdates;
};

#endif // MAINWINDOW_H
